Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg.text
Class BidiAttributedCharacterIterator

    java.lang.Object
      org.apache.fop.svg.text.BidiAttributedCharacterIterator

All Implemented Interfaces:
  java.lang.Cloneable, java.text.AttributedCharacterIterator, java.text.CharacterIterator

    public class BidiAttributedCharacterIterator

extends java.lang.Object
implements java.text.AttributedCharacterIterator

Nested Class Summary

Nested classes/interfaces inherited from interface java.text.AttributedCharacterIterator
`java.text.AttributedCharacterIterator.Attribute`

Field Summary

Fields inherited from interface java.text.CharacterIterator
`DONE`

Constructor Summary
`protected` | `BidiAttributedCharacterIterator(java.text.AttributedCharacterIterator aci)`
`` | `BidiAttributedCharacterIterator(java.text.AttributedCharacterIterator aci, int defaultBidiLevel)`

Method Summary
`java.lang.Object` | `clone()`
`char` | `current()`
`char` | `first()`
`java.util.Set<java.text.AttributedCharacterIterator.Attribute>` | `getAllAttributeKeys()`
`java.lang.Object` | `getAttribute(java.text.AttributedCharacterIterator.Attribute attribute)`
`java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getAttributes()`
`int` | `getBeginIndex()`
`int` | `getEndIndex()`
`int` | `getIndex()`
`int` | `getRunLimit()`
`int` | `getRunLimit(java.text.AttributedCharacterIterator.Attribute attribute)`
`int` | `getRunLimit(java.util.Set<? extends java.text.AttributedCharacterIterator.Attribute> attributes)`
`int` | `getRunStart()`
`int` | `getRunStart(java.text.AttributedCharacterIterator.Attribute attribute)`
`int` | `getRunStart(java.util.Set<? extends java.text.AttributedCharacterIterator.Attribute> attributes)`
`char` | `last()`
`char` | `next()`
`char` | `previous()`
`char` | `setIndex(int position)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BidiAttributedCharacterIterator

    protected BidiAttributedCharacterIterator(java.text.AttributedCharacterIterator aci)

### BidiAttributedCharacterIterator

    public BidiAttributedCharacterIterator(java.text.AttributedCharacterIterator aci,
                                           int defaultBidiLevel)

Method Detail

### first

    public char first()

  Specified by:
    `first` in interface `java.text.CharacterIterator`

### last

    public char last()

  Specified by:
    `last` in interface `java.text.CharacterIterator`

### current

    public char current()

  Specified by:
    `current` in interface `java.text.CharacterIterator`

### next

    public char next()

  Specified by:
    `next` in interface `java.text.CharacterIterator`

### previous

    public char previous()

  Specified by:
    `previous` in interface `java.text.CharacterIterator`

### setIndex

    public char setIndex(int position)

  Specified by:
    `setIndex` in interface `java.text.CharacterIterator`

### getBeginIndex

    public int getBeginIndex()

  Specified by:
    `getBeginIndex` in interface `java.text.CharacterIterator`

### getEndIndex

    public int getEndIndex()

  Specified by:
    `getEndIndex` in interface `java.text.CharacterIterator`

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `java.text.CharacterIterator`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `java.text.CharacterIterator`
  Overrides:
    `clone` in class `java.lang.Object`

### getRunStart

    public int getRunStart()

  Specified by:
    `getRunStart` in interface `java.text.AttributedCharacterIterator`

### getRunStart

    public int getRunStart(java.text.AttributedCharacterIterator.Attribute attribute)

  Specified by:
    `getRunStart` in interface `java.text.AttributedCharacterIterator`

### getRunStart

    public int getRunStart(java.util.Set<? extends java.text.AttributedCharacterIterator.Attribute> attributes)

  Specified by:
    `getRunStart` in interface `java.text.AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit()

  Specified by:
    `getRunLimit` in interface `java.text.AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit(java.text.AttributedCharacterIterator.Attribute attribute)

  Specified by:
    `getRunLimit` in interface `java.text.AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit(java.util.Set<? extends java.text.AttributedCharacterIterator.Attribute> attributes)

  Specified by:
    `getRunLimit` in interface `java.text.AttributedCharacterIterator`

### getAttributes

    public java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getAttributes()

  Specified by:
    `getAttributes` in interface `java.text.AttributedCharacterIterator`

### getAttribute

    public java.lang.Object getAttribute(java.text.AttributedCharacterIterator.Attribute attribute)

  Specified by:
    `getAttribute` in interface `java.text.AttributedCharacterIterator`

### getAllAttributeKeys

    public java.util.Set<java.text.AttributedCharacterIterator.Attribute> getAllAttributeKeys()

  Specified by:
    `getAllAttributeKeys` in interface `java.text.AttributedCharacterIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.